Import Pub.Win32

Global PLUGINS_DLL


PLUGINS_DLL=LoadLibraryA(CurrentDir$()+"/PlugMyJuke.dll")
Print PLUGINS_DLL

' If Plugin SDK not found, stop the application
If PLUGINS_DLL=0 Then End

' Create all functions
Global Load_Plugins:Int(path$z) "Win32" = GetProcAddress(PLUGINS_DLL,"Load_Plugins")
Global Juke_Initialize:Int(Number) "Win32" = GetProcAddress(PLUGINS_DLL,"Juke_Initialize")
Global Juke_GetPluginInfo$z(Number, value$z) "Win32" = GetProcAddress(PLUGINS_DLL,"Juke_GetPluginInfo")
Global Juke_AddCoin(Number, Coin) "Win32" = GetProcAddress(PLUGINS_DLL,"Juke_AddCoin")
Global Juke_CommandGet$z(Number) "Win32" = GetProcAddress(PLUGINS_DLL,"Juke_CommandGet")

' Init PlugMyJuke and let its read all plugin files
Local Total=Load_Plugins(CurrentDir$()+"/Plugins")

' Output the number of plugins used
Print Total

' Init All Plugins
For Local i=0 To Total-1
	Local ok=Juke_Initialize(i)	
	
	' GetPliuin Info
	Name$=Juke_GetPluginInfo(i, "name")
	Author$=Juke_GetPluginInfo(i, "author")
	Version$=Juke_GetPluginInfo(i, "version")
	
	' Print them out
	Print Name$
	Print Author$
	Print Version$
Next

' Try Some commands for fun
Juke_AddCoin(0, 1)

' Get a command
Local Command$=Juke_CommandGet(Number)
Print Command$



