Structure info
 name$
 author$
 version$
 dll.l
 Count.l
 Event.l
EndStructure  

Global Result$
Global PluginCount=0
Global ResultValue=0
Global NewList Plugin.info()
Global path$
Global PluginName$
Global PluginAuthor$
Global PluginVersion$
Global Where
Global Count
Global String.s


ProcedureDLL.l Load_Plugins(path$)
  If ExamineDirectory(0, path$, "*.*")  
    While NextDirectoryEntry(0)
      name$=DirectoryEntryName(0)
      
      If Right(name$,3)="dll" Or Right(name$,3)="pmj"
        dll.l=OpenLibrary(#PB_Any, path$+"/"+name$)
        If dll<>0
          If GetFunction(dll, "Juke_GetPluginInfo")
            AddElement(Plugin())            
            Plugin()\dll=dll
            Plugin()\count=PluginCount
            PluginCount=PluginCount+1            
          EndIf
        EndIf
      EndIf
      
    Wend
    FinishDirectory(0)
  EndIf
  ProcedureReturn PluginCount
EndProcedure


ProcedureDLL.l Juke_AddQueue(File$, SongTime, Status, CoverArt$, Title$, Artist$, Album$, Genre$, Speciel$)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_AddQueue") 
        CallFunction(Plugin()\dll.l, "Juke_AddQueue", File$, SongTime, Status, CoverArt$, Title$, Artist$, Album$, Genre$, Speciel$)
        ProcedureReturn 1
      EndIf
      ProcedureReturn -1
    EndIf
  Next
EndProcedure


ProcedureDLL.s Juke_SongTags(PluginNumber, File$)
  Result$=""
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_SongTags") 
          Result$=PeekS(CallFunction(Plugin()\dll.l, "Juke_SongTags", File$))
          ProcedureReturn Result$
       EndIf
       ProcedureReturn Result$
    EndIf
  Next
EndProcedure

ProcedureDLL.s Juke_SongSuggestion(PluginNumber, File$)
  Result$=""
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
       If GetFunction(Plugin()\dll.l, "Juke_SongSuggestion") 
          Result$=PeekS(CallFunction(Plugin()\dll.l, "Juke_SongSuggestion", File$))
          ProcedureReturn Result$
       EndIf
       ProcedureReturn Result$
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_SongBegin(PluginNumber)

  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_SongBegin") 
          CallFunction(Plugin()\dll.l, "Juke_SongBegin", Secs)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_SongEnd(PluginNumber, Skippet)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_SongEnd") 
          CallFunction(Plugin()\dll.l, "Juke_SongEnd", Skippet)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure


ProcedureDLL.l Juke_SongPlayed(PluginNumber, Secs)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_SongPlayed") 
          CallFunction(Plugin()\dll.l, "Juke_SongPlayed", Secs)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure


ProcedureDLL.l Juke_SongStatus(PluginNumber, status$)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_SongStatus") 
          CallFunction(Plugin()\dll.l, "Juke_SongStatus",status$)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure


ProcedureDLL.s Juke_GetPluginInfo(PluginNumber, value$)

  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_GetPluginInfo") 
 
         Result$=PeekS(CallFunction(Plugin()\dll.l, "Juke_GetPluginInfo", Value$))
         ProcedureReturn Result$
       EndIf
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_Volume(PluginNumber, value.l)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_Volume") 
          CallFunction(Plugin()\dll.l, "Juke_Volume",value)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_Initialize(PluginNumber)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_Initialize") 
          CallFunction(Plugin()\dll.l, "Juke_Initialize")
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure


ProcedureDLL.l Juke_Shutdown(PluginNumber)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_Shutdown") 
          CallFunction(Plugin()\dll.l, "Juke_Shutdown")
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_LCDString(PluginNumber, String$, Line)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_LCDString") 
          CallFunction(Plugin()\dll.l, "Juke_LCDString", String$, Line)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next 
EndProcedure

ProcedureDLL.l Juke_CommandDisable(PluginNumber, Command$)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_CommandDisable") 
          CallFunction(Plugin()\dll.l, "Juke_CommandDisable", Command$)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_CommandEnable(PluginNumber,Command$)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_CommandEnable") 
          CallFunction(Plugin()\dll.l, "Juke_CommandEnable", Command$)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure

ProcedureDLL.s Juke_CommandGet(PluginNumber)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_CommandGet") 
          Result$=PeekS(CallFunction(Plugin()\dll.l, "Juke_CommandGet"))
          ProcedureReturn Result$
       EndIf
       ProcedureReturn Result$
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_AddCoin(PluginNumber, Coins)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_AddCoin") 
          CallFunction(Plugin()\dll.l, "Juke_AddCoin", Coins)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure

ProcedureDLL.l Juke_PaidCoin(PluginNumber, Coins)
  ForEach Plugin()
    If Plugin()\Count=PluginNumber And Plugin()\dll<>0
      If GetFunction(Plugin()\dll.l, "Juke_PaidCoin") 
          CallFunction(Plugin()\dll.l, "Juke_PaidCoin", Coins)
          ProcedureReturn 1
       EndIf
       ProcedureReturn -1
    EndIf
  Next
EndProcedure

 
ProcedureDLL AttachProcess(Instance)
EndProcedure

ProcedureDLL AttachThread(Instance)
EndProcedure

ProcedureDLL DetachProcess(Instance)
EndProcedure

ProcedureDLL DetachThread(Instance)
EndProcedure


; IDE Options = PureBasic v4.02 (Windows - x86)
; ExecutableFormat = Shared Dll
; CursorPosition = 227
; FirstLine = 220
; Folding = ----
; Executable = PlugMyJuke.dll